import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { NegativeVolumeIndexIndicator } from "./NegativeVolumeIndexIndicator";
/**
 * Represents a IgxDataChartComponent Negative Volume Index indicator (NVI) series.
 * Default required members: Close, Volume
*/
export class IgrNegativeVolumeIndexIndicator extends IgrStrategyBasedIndicator {
    createImplementation() {
        return new NegativeVolumeIndexIndicator();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
}
